Summary: Default teaching profile
Name: cued-teaching-default-profile
Version: 2
Release: 26
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
License: CUED
Packager: John Sloan <js138@eng.cam.ac.uk>
Requires: autofs lynx
Group: CUED

Source0: cued-teaching-default-profile.tar.gz

%description
Default profile for Linux teaching systems.

%prep
%setup -n %{name}
%build
%install
mkdir -p $RPM_BUILD_ROOT/usr/local/etc
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/news
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus
install -m 0755 d.profile  $RPM_BUILD_ROOT/usr/local/etc
install -m 0664 local.motd $RPM_BUILD_ROOT/usr/local/etc
install -m 0644 server $RPM_BUILD_ROOT/usr/local/lib/news
install -m 0644 local.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 0644 auto.ts-home $RPM_BUILD_ROOT/etc
install -m 0644 auto.homes $RPM_BUILD_ROOT/etc
install -m 0644 auto.misc $RPM_BUILD_ROOT/etc/auto.misc.teach
install -m 0755 auto.apps.sh $RPM_BUILD_ROOT/etc
install -m 0644 permissions.local $RPM_BUILD_ROOT/etc
install -m 0644 profile.local $RPM_BUILD_ROOT/etc
install -m 0644 bash.bashrc.local $RPM_BUILD_ROOT/etc
install -m 0644 cued.menu $RPM_BUILD_ROOT/etc/xdg/menus
INST_ROOT=$RPM_BUILD_ROOT make install
%files
%config /usr/local/etc/d.profile
%config /usr/local/etc/local.motd
%config /usr/local/lib/news/server
%config /etc/profile.d/local.sh
%config /etc/auto.homes
%config /etc/auto.ts-home
%config /etc/auto.misc.teach
%config /etc/bash.bashrc.local
%config /etc/permissions.local
%config /etc/profile.local
/etc/auto.apps.sh
/usr/share/applications/*
/usr/share/pixmaps/*
/usr/share/desktop-directories/*
/etc/xdg/menus/cued.menu
%post
mv /etc/auto.misc /etc/auto.misc.orig
cat /etc/auto.misc.teach >> /etc/auto.misc
# tweak auto.master appropriately
cat /etc/auto.master | grep -v '^/homes' | grep -v '^/ts-home' | grep -v '^/usr/local/apps' >> /etc/auto.master.new
cat >> /etc/auto.master.new <<EOF
/homes          /etc/auto.homes         --timeout 43200
/ts-home        /etc/auto.ts-home	--timeout 43200
/usr/local/apps /etc/auto.apps.sh       --timeout 300
EOF
mv /etc/auto.master /etc/auto.master.orig
mv /etc/auto.master.new /etc/auto.master
# fix mailcap
cat /etc/mailcap | grep -v 'application/pdf' | grep -v 'application/metacard' > /etc/mailcap.new
cat >> /etc/mailcap.new <<EOF
application/pdf;/usr/bin/xpdf %s
application/metacard;/usr/local/bin/mc '%s';description=metacard file;nametemplate=%s.mc
EOF
mv /etc/mailcap.new /etc/mailcap
chmod 644 /etc/mailcap
# fix scratch
[ -d /scratch ] && chmod 1777 /scratch
# fix lynx config
cat /etc/lynx.cfg | grep -v ^http_proxy | grep -v ^ftp_proxy | grep -v ^no_proxy> /etc/lynx.cfg.new
cat >> /etc/lynx.cfg.new <<EOF
http_proxy:http://www-proxy.eng.cam.ac.uk:3128/
ftp_proxy:http://www-proxy.eng.cam.ac.uk:3128/
no_proxy:eng.cam.ac.uk
EOF
mv /etc/lynx.cfg.new /etc/lynx.cfg
chmod 644 /etc/lynx.cfg
# install our applications menuA
pushd /etc/xdg/menus
[ ! -L applications.menu ] && mv applications.menu applications.menu.orig \
	&& ln -s cued.menu applications.menu
popd
# apply permissions.local
/usr/bin/chkstat --set /etc/permissions.local
# tweak gnome_defaults.conf
#
# We provide a way to fire up .swf files in firefox
# We're removing the eog line, to replace with gwenview.
cat /etc/opt/gnome/gnome_defaults.conf | grep -v CUED | grep -v flashplayer.desktop | grep -v eog.desktop | grep -v imageviewer.desktop > /etc/opt/gnome/gnome_defaults.conf.new
cat >>/etc/opt/gnome/gnome_defaults.conf.new<<EOF
# CUED - really just firefox by another name.  Overrides vlc
flashplayer.desktop
# CUED - just a copy of gwenview
imageviewer.desktop
EOF
mv /etc/opt/gnome/gnome_defaults.conf.new /etc/opt/gnome/gnome_defaults.conf
chmod 644 /etc/opt/gnome/gnome_defaults.conf
# Now update the capabilites (from .desktop files and this conf)
SuSEconfig --module gnome-vfs2
